Subject: bug#37150: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Apr 2025 16:43:02 +0000

Your bug report

#37150: Erroneous uses of regex in the invokation of FIND-FILES

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37150: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37150
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Tue, 1 Apr 2025 18:42:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am closing this bug as not concretely actionable.

If you find concrete instances where the regexps do not match and we end
up deleting too many or too few files, for instance, please feel free
to submit patches as separate bugs.

Andreas

Subject: Erroneous uses of regex in the invokation of FIND-FILES
From: Alex Vong <[email-masked]>
To: [email-masked]
Date: Fri, 23 Aug 2019 10:50:02 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix,

Currently, there are a lot of erroneous uses of regex in the invokation
of FIND-FILES. Please see the conversations below (taken from
https://lists.gnu.org/archive/html/guix-devel/2019-08/msg00149.html).

Mark H Weaver writes:

> Hi Alex,
>
> Alex Vong <[email-masked]> writes:
>
>> I find out that there are a lof of erroneous uses of regex in the
>> invokation of FIND-FILES. The correct usage should be:
>>
>>   (find-files "." "\\.c$")
>>
>> Instead people write:
>>
>>   (find-files "." ".*\\.c")
>>
>> which match unwanted files.
>>
>> For examples, in the procedure CUSTOM-GCC, the correct regex should be:
>>
>>   "(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)$"
>>
>> instead of:
>>
>>   ".*(c\\+\\+|cpp|g\\+\\+|gcov|gcc|gcc-.*)"
>>
>> Please correct me if I am wrong.
>
> You're right.  It would be good to fix these problems incrementally, as
> long as the changes don't cause too many rebuilds.
>
> Changes to core packages will need to wait for now, since 'core-updates'
> is frozen, and 'core-updates-next' should also be considered frozen,
> since it will become 'core-updates' as soon as Berlin has built it out a
> bit more.  (The only change in 'core-updates-next' relative to
> 'core-updates' is that the new bootstrap tarballs have been fixed to be
> deterministic.)
>
> For some of these fixes, it might be best to apply them to 'staging'.
>
>> Right now, the erroneous use of regex in CUSTOM-GCC casues the 'bin/'
>> directory of the output of gccgo, gcc-objc and gcc-objc++ to be empty.
>
> I'm uncertain how many rebuilds it would trigger to change 'custom-gcc',
> and I don't have confidence that "guix refresh -l" is capable of giving
> us a reliable answer.  In the meantime, would you like to file a bug
> report for this, so it's not forgotten?
>
> Thanks for looking into it.
>
>      Best,
>       Mark

-- 
Stand with Hong Kong!
#Eye4HK
Alex

https://twitter.com/freedomhkg
https://twitter.com/stand_with_hk